You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
CreateProcessor
Copy page
Download PDF
CreateProcessor
Call the CreateProcessor API to create a new data processor.​
Request instructions​
  • Request method: POST​
  • Request URL: https://{tls-endpoint}/CreateProcessor​
Request parameters​
The table below lists only the unique parameters for this API and some common parameters. For more information, see Common parameters.​
Body​
​
Parameters​
Type​
Required​
Example value​
Description​
DSLContent​
String​
Yes​
f_rename("path", "newpath")​
The processor's DSL content.​
Defines the processor's specific logic or configuration. The length must be between 1 and 4000 characters.​
Description​
String​
NOT​
This is a data processor​
Description of the data processor.​
Used to briefly describe the purpose or function of the data processor. Length must be between 1 and 255 characters.​
FailStrategy​
String​
NOT​
keep_raw​
Configure how to handle invalid log data.​
  • keep_raw (default): Keep raw data and write it directly.​
  • drop_log: Discard raw log data.​
ProcessorName​
String​
Yes​
log_processor_1​
Name of the data processor.​
Uniquely identifies a data processor. Length must be between 1 and 63 characters.​
ProcessorStatus​
String​
NOT​
enabled​
Status of the data processor.​
  • enabled (default): Enabled.​
  • disabled: Not enabled.​
ProjectId​
String​
Yes​
3ab4ffc5-a5d7-43c1-9012-8466c26c****​
Project ID.​
​
Response parameters​
The table below lists only the unique return parameters for this API. For more information, see Return Structure.​
​
Parameters​
Type​
Example value​
Description​
ProcessorId​
String​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID.​
​
Sample request​
​
POST https://{tls-endpoint}/CreateProcessor HTTP/1.1​
Content-Type: application/json​
{​
"DSLContent": "f_rename("path", "newpath")",​
"Description": "This is a data processor for renaming file paths",​
"FailStrategy": "keep_raw",​
"ProcessorName": "log_processor_1",​
"ProcessorStatus": "enabled",​
"ProjectId": "3ab4ffc5-a5d7-43c1-9012-8466c26c****"​
}​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{​
"ProcessorId": "9e91e9e5-2063-4182-8eff-b7371500****"​
}​
​
Error Code​
You can visit Common Error Codes for more error code details.​
Last updated: 2026.05.07 11:17:18